---
features:
  secondary:
  - name: "Access and Verify actions for Environments"
    available_in: [core, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/ci/yaml/index.html#environmentaction'
    reporter: cbalane
    stage: release
    categories:
    - Pipeline Authoring
    - Continuous Delivery
    - Continuous Verification
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/351510'
    description: |
      Previously, when using Environments, there was only one keyword to specify that a job is executing a task that does not trigger a deployment, or create or stop an environment. This `prepare` keyword was intended for jobs that assist in preparing an environment. However, there are many other deployment related tasks beyond preparing an environment and users have overloaded the `prepare` keyword to perform these tasks. In 15.0, we have added two new keywords to execute tasks that require access to environment scope variables. In the `.gitlab-ci.yaml` file, you can now add a generic `environment: action: access` keyword for a broad set of use cases and `environment: action: verify` when specifically needing to verify the results during a deployment.
